/****  IMAGEIO.H

       Header file for IMAGEIO.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern int ReadLabel (int ,char *,int ,char *);
extern int WriteLabel (int ,char *,unsigned int ,char *);
extern int OpenImage (char *,int ,char *,int *,int *,int *,char *);
extern int ReadLine (int, char *, int, int, int, char *);
extern int CloseImage (int ,char *);
extern int CheckStatus (char *);
extern int ConvertLine (unsigned char *,unsigned char *,int ,int ,int ,char *);

/* * * *  External Global Variables * * * */


extern struct ImageBlockType   /* The image control block structure */
    {
          long   block;        /* block # of start of buffer at */
          int    blksiz;       /* block size in bytes */
          int    maxbuf;       /* max size of buffer in blocks */
          int    bufsiz;       /* # of blocks of buffer in use */
 unsigned int    lblsiz;       /* label size in bytes */
          int    pixsiz;       /* size of pixels in bits */
          int    reclen;       /* record length in bytes */
          int    nl, ns;       /* number of lines and samples */
          int    linhed;       /* line header length in bytes */
          char   access;       /* R for read, W for write */
    }   IMCB[MaxNumImages];


extern unsigned char *ImageBuffer[MaxNumImages];    /* pointers to image buffers */
extern char           LabelBuf[LabelBufferLen];
extern char           LabelFileName[64];
