/****  IMDISP.H

       Header file for IMDISP.H
       Built by A. Warnock, ST Systems Corp., NASA/GSFC 5/90

****/

/* * * *  External Function Prototypes * * * */

extern int     BadStatus (char *);
extern int     DoRefresh (void);
extern int     SetValues (void);
extern int     DoHistogram (void);
extern int     DoPalette (void);
extern int     DoPlot (void);
extern int     DoStretch (void);
extern int     DoCursor (void);
extern int     DoProfile (void);
extern int     StartUp (int argc, char **argv);
extern int     DoSave (void);
extern int     DoBatch (void);
extern int     DoLabel (void);
extern int     DoMenu (void);
extern int     DoPosText (void);
extern int     DoOverlay (void);
extern int     DoSerial (void);
extern int     DoPrint (void);
extern int     ctrl_c (void);
extern long    min3arr( long *, int);
extern long    max3arr( long *, int);
extern int     LoadPalette( char *);

/* * * *  External Global Variables * * * */

extern char    CommandString[80];
extern int     nl, ns, bitsperpix;
extern int     DNlow, DNhigh;
extern int     OpenFileFlag;
extern int     nld, nsd, sl, ss;
extern int     nldd, nsdd, sldd, ssdd;
extern int     subsample, zoom;
extern int     centerline, centersamp;
extern int     lastsl, lastss;
extern FILE   *BatchFile;

extern long    Histogram ;         /* Location of histogram in file */
extern long    Palette;            /* Location of palette in file */
extern char    PaletteFileName[64];
extern int     Color_Hist;
extern char    memmsg[] ;
extern int     Microsoft ;
extern int     TurnCursorOff ;     /* Set cursor funct. on */
extern int     ByteSwap ;
extern int     BatchFlag ;         /* To control batch file on input cmd line */
extern int     flowthru ;
extern int     IntoMem  ;
extern char    dirMask[30] ;       /* select all files */
extern char    BrowseName[40] ;    /* default browse file name */
extern char    MenuName[40] ;      /* default menu name */
extern int     abort_disp ;

extern FILE    *SelectFile;
extern int     SelectFlag;         /* To control interactive selection of files */
extern char    SelectName[40];     /* default select file name */
extern char    ImageFileName[80];  /* Image file name */
